XPERFMON(1)

NAME
xperfmon - X Window System-based performance monitor

SYNOPSIS
xperfmon [-toolkitoption ...] [-additionaloption ...]

DESCRIPTION
xperfmon continuously displays several system statistics as a set of parallel line graphs. The name of the host is displayed in the upper left hand corner. The information is scaled so that it fills up the entire window. While xperfmon is running, it is possible to perform certain tasks by pressing keys over the window:

Q/q: Quit
R/r: Reset graph and timer
s: Decrease update interval (slower) by a small amount
S: Decrease update interval (slower) by a large amount
f: Increase update interval (faster) by a small amount
F: Increase update interval (faster) by a large amount
?: Help

OPTIONS

xperfmon accepts all of the standard X Toolkit command line options along with the following additional options:

-up | -update seconds
    This options specifies the update interval for the graph in seconds. The default is 5.

-st | -stepsize pixels
    This option specifies the stepsize of the graph. The default is one pixel.

-user | -usercpu

-sys | -systemcpu

-idle | -idlecpu

-free | -freemem
    These options specify the list of statistics to be displayed. If none are listed, then all are displayed. If any are listed, only those listed are displayed. Possible statistics are user, system, idle, and free. These refer to User CPU percentage, System CPU percentage, Idle CPU percentage, and Free memory.

The following standard X Toolkit arguments are commonly used with xperfmon:

-d | -display display
    This option specifies the X server to contact.

-g | -geometry geometry
    The xperfmon window is created with the specified size and location determined by the supplied geometry specification. See X(1) for a full explanation.

-rv | -reverse
    This option indicates that reverse video should be simulated by swapping the foreground and background colors.

-bd | -bordercolor color
    This option specifies the border color. The default is black.

-bg | -background color
    This option specifies the background color. The default is white.

-bw | -borderwidth pixels
    This option specifies the width in pixels of the border around the window. The default value is 2.

-fg | -foreground color
    This option specifies the foreground color. The default color is black.

-fn | -font fontname
    This options specifies the font to be used in displaying the hostname and labels. The default is 6X10.

-xrm resourcestring
    This option specifies a resource string to be used. This is especially useful for setting resources that do not have separate command line options.

X DEFAULTS

xperfmon understands all of the core resource names and classes as well as:

width (class Width)
    Specifies the width of the load average graph.

height (class Height)
    Specifies the height of the load average graph.

update (class Interval)
    Specifies the frequency in seconds at which the performance statistics should be redisplayed. stepSize (class StepSize) Specifies the number of pixels that should be drawn for each update of the performance statistics. foreground (class Foreground) Specifies the color for the foreground. The default is black since the core default for background is white.

font (class Font)
    Specifies the font to be used for the label. The default is fixed.

reverseVideo (class ReverseVideo)
    Specifies that the foreground and background should be reversed.

ENVIRONMENT VARIABLES
DISPLAY - specifies the default host and display number.

SEE ALSO
X(1), uwm(1), xload(1), mem(4)

BUGS
xperfmon requires the ability to open and read the special system file /dev/kmem. On most systems, this requires the suid (set user id) bit to be set with root ownership, or the sgid (set group id) bit to be set and membership in the same group as /dev/kmem.

Reading /dev/kmem is inherently non-portable. Therefore, the widget upon which this application is based must be ported to each new operating system.

Border color has to be explicitly specified when reverse video is used.

AUTHORS
The X11 version of xperfmon was written by Emanuel Jay Berkenbilt, Project Athena on 1/21/1988. There is no record of previous authors. xperfmon was modified by Thomas Bagli, PCS Computer Systeme GmbH, West Germany, to be a toolkit-based client.